Skip to main content
GET
/
contact
/
reverse
/
email
/
bulk
/
{enrichment_id}
Get Bulk Reverse Email Results
curl --request GET \
  --url https://app.fullenrich.com/api/v2/contact/reverse/email/bulk/{enrichment_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.fullenrich.com/api/v2/contact/reverse/email/bulk/{enrichment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.fullenrich.com/api/v2/contact/reverse/email/bulk/{enrichment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "data": [
    {
      "input": {
        "email": "<string>"
      },
      "custom": {},
      "profile": {
        "id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
        "full_name": "Enzo Romera",
        "first_name": "Enzo",
        "last_name": "Romera",
        "location": {
          "country": "France",
          "country_code": "FR",
          "city": "Paris",
          "region": "IDF"
        },
        "social_profiles": {
          "linkedin": {
            "url": "https://www.linkedin.com/in/john-doe",
            "handle": "john-doe",
            "connection_count": 500
          }
        },
        "educations": [
          {
            "school_name": "Stanford University",
            "degree": "Bachelor of Science in Computer Science",
            "start_at": "2015-09-01T00:00:00Z",
            "end_at": "2019-06-01T00:00:00Z"
          }
        ],
        "languages": [
          {
            "language": "French",
            "code": "FR",
            "proficiency": "Native or Bilingual"
          }
        ],
        "skills": [
          "JavaScript",
          "Project Management",
          "Python"
        ],
        "employment": {
          "current": {
            "title": "Senior Software Engineer",
            "company": {
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Anthropic",
              "domain": "anthropic.com",
              "description": "AI safety and research company",
              "year_founded": 2021,
              "headcount": 2610,
              "company_type": "Privately Held",
              "locations": {
                "headquarters": {
                  "line1": "548 Market St",
                  "line2": "PMB 42570",
                  "city": "San Francisco",
                  "region": "California",
                  "country": "United States",
                  "country_code": "US"
                },
                "offices": [
                  {
                    "line1": "548 Market St",
                    "line2": "PMB 42570",
                    "city": "San Francisco",
                    "region": "California",
                    "country": "United States",
                    "country_code": "US"
                  }
                ]
              },
              "industry": {
                "main_industry": "Software Development"
              },
              "social_profiles": {
                "linkedin": {
                  "url": "https://www.linkedin.com/company/anthropic",
                  "handle": "anthropic",
                  "follower_count": 125000
                }
              }
            },
            "is_current": true,
            "start_at": "2022-03-15T00:00:00Z",
            "end_at": "2024-06-30T00:00:00Z"
          },
          "all": [
            {
              "title": "Senior Software Engineer",
              "company": {
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "name": "Anthropic",
                "domain": "anthropic.com",
                "description": "AI safety and research company",
                "year_founded": 2021,
                "headcount": 2610,
                "company_type": "Privately Held",
                "locations": {
                  "headquarters": {
                    "line1": "548 Market St",
                    "line2": "PMB 42570",
                    "city": "San Francisco",
                    "region": "California",
                    "country": "United States",
                    "country_code": "US"
                  },
                  "offices": [
                    {
                      "line1": "548 Market St",
                      "line2": "PMB 42570",
                      "city": "San Francisco",
                      "region": "California",
                      "country": "United States",
                      "country_code": "US"
                    }
                  ]
                },
                "industry": {
                  "main_industry": "Software Development"
                },
                "social_profiles": {
                  "linkedin": {
                    "url": "https://www.linkedin.com/company/anthropic",
                    "handle": "anthropic",
                    "follower_count": 125000
                  }
                }
              },
              "is_current": true,
              "start_at": "2022-03-15T00:00:00Z",
              "end_at": "2024-06-30T00:00:00Z"
            }
          ]
        }
      }
    }
  ],
  "cost": {
    "credits": 123
  }
}
Use this endpoint to retrieve the result from a reverse email lookup. You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enrichment_id
string
required

The unique identifier returned when the reverse lookup was started

Response

OK

id
string<uuid>
Example:

"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"

name
string
Example:

"Start Reverse Email Lookup Operation"

status
enum<string>
Available options:
CREATED,
IN_PROGRESS,
CANCELED,
CREDITS_INSUFFICIENT,
FINISHED,
RATE_LIMIT,
UNKNOWN
Example:

"FINISHED"

data
object[]
cost
object